org.apache.catalina.startup

## Class UserConfig

- java.lang.Object
- - org.apache.catalina.startup.UserConfig

- All Implemented Interfaces:
    LifecycleListener

      public final class UserConfig
      extends java.lang.Object
      implements LifecycleListener

  Startup event listener for a Host that configures Contexts (web applications) for all defined "users" who have a web application in a directory with the specified name in their home directories. The context path of each deployed application will be set to `~xxxxx`, where xxxxx is the username of the owning user for that web application
  Author:
    Craig R. McClanahan

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.regex.Pattern` | `allow` A regular expression defining user who deployment is allowed.
    `protected java.util.regex.Pattern` | `deny` A regular expression defining user who deployment is denied.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAllow()` Return the regular expression used to test for user who deployment is allowed.
    `java.lang.String` | `getConfigClass()` Return the Context configuration class name.
    `java.lang.String` | `getContextClass()` Return the Context implementation class name.
    `java.lang.String` | `getDeny()` Return the regular expression used to test for user who deployment is denied.
    `java.lang.String` | `getDirectoryName()` Return the directory name for user web applications.
    `java.lang.String` | `getHomeBase()` Return the base directory containing user home directories.
    `java.lang.String` | `getUserClass()` Return the user database class name for this component.
    `void` | `lifecycleEvent(LifecycleEvent event)` Process the START event for an associated Host.
    `void` | `setAllow(java.lang.String allow)` Set the regular expression used to test for user who deployment is allowed.
    `void` | `setConfigClass(java.lang.String configClass)` Set the Context configuration class name.
    `void` | `setContextClass(java.lang.String contextClass)` Set the Context implementation class name.
    `void` | `setDeny(java.lang.String deny)` Set the regular expression used to test for user who deployment is denied.
    `void` | `setDirectoryName(java.lang.String directoryName)` Set the directory name for user web applications.
    `void` | `setHomeBase(java.lang.String homeBase)` Set the base directory containing user home directories.
    `void` | `setUserClass(java.lang.String userClass)` Set the user database class name for this component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### allow

          protected java.util.regex.Pattern allow

      A regular expression defining user who deployment is allowed.

    - #### deny

          protected java.util.regex.Pattern deny

      A regular expression defining user who deployment is denied.

  - ### Constructor Detail

    - #### UserConfig

          public UserConfig()

  - ### Method Detail

    - #### getConfigClass

          public java.lang.String getConfigClass()

      Return the Context configuration class name.

    - #### setConfigClass

          public void setConfigClass(java.lang.String configClass)

      Set the Context configuration class name.
      Parameters:
        `configClass` - The new Context configuration class name.

    - #### getContextClass

          public java.lang.String getContextClass()

      Return the Context implementation class name.

    - #### setContextClass

          public void setContextClass(java.lang.String contextClass)

      Set the Context implementation class name.
      Parameters:
        `contextClass` - The new Context implementation class name.

    - #### getDirectoryName

          public java.lang.String getDirectoryName()

      Return the directory name for user web applications.

    - #### setDirectoryName

          public void setDirectoryName(java.lang.String directoryName)

      Set the directory name for user web applications.
      Parameters:
        `directoryName` - The new directory name

    - #### getHomeBase

          public java.lang.String getHomeBase()

      Return the base directory containing user home directories.

    - #### setHomeBase

          public void setHomeBase(java.lang.String homeBase)

      Set the base directory containing user home directories.
      Parameters:
        `homeBase` - The new base directory

    - #### getUserClass

          public java.lang.String getUserClass()

      Return the user database class name for this component.

    - #### setUserClass

          public void setUserClass(java.lang.String userClass)

      Set the user database class name for this component.

    - #### getAllow

          public java.lang.String getAllow()

      Return the regular expression used to test for user who deployment is allowed.

    - #### setAllow

          public void setAllow(java.lang.String allow)

      Set the regular expression used to test for user who deployment is allowed.
      Parameters:
        `allow` - The new allow expression

    - #### getDeny

          public java.lang.String getDeny()

      Return the regular expression used to test for user who deployment is denied.

    - #### setDeny

          public void setDeny(java.lang.String deny)

      Set the regular expression used to test for user who deployment is denied.
      Parameters:
        `deny` - The new deny expression

    - #### lifecycleEvent

          public void lifecycleEvent(LifecycleEvent event)

      Process the START event for an associated Host.
      Specified by:
        `lifecycleEvent` in interface `LifecycleListener`
      Parameters:
        `event` - The lifecycle event that has occurred

Copyright © 2000-2015 Apache Software Foundation. All Rights Reserved.